package cn.hnthyy.thmz.service.thmz;

import java.util.Date;

public interface HaiCiAdapterService {
    /**
     * 更新病人卡号 消息通知
     * @param oldCardNo 老卡号
     * @param cardNo 新卡号
     * @param timeStamp 变更时间
     */
    void cardChangeNotice(String oldCardNo,String cardNo,Date timeStamp);



    /**
     * 向病人发送通用消息
     * @param cardNo 卡号
     * @param message 消息内容
     * @param timeStamp 消息时间
     */
    void commonMessageNotice(String cardNo,String message,Date timeStamp);


    /**
     * 医技预约驳回回调接口
     * @param reqNo
     */
    void rejectCallbackScheduleOfMedical(String reqNo);

}
